import request from '@/utils/request'
// 获取列表
export function getPrintOrderList(data) {
  return request({
    url: '/idp/getPrintOrderList',
    method: 'post',
    params: data
  })
}
// 获取所有上班的修图人员
export function getAllCheckInUser(data) {
  return request({
    url: '/idp/getAllCheckInUser',
    method: 'post',
    params: data
  })
}
// 手工分配订单

export function manualDispatchOrder(data) {
  return request({
    url: '/idp/manualDispatchOrder',
    method: 'post',
    params: data
  })
}

// 退回
export function returnOrder(data) {
  return request({
    url: '/idp/returnOrder',
    method: 'post',
    params: data
  })
}
// 获取修图人员状态
export function getImageDesignerStateList(data) {
  return request({
    url: 'idp/getImageDesignerStateList',
    method: 'post',
    params: data
  })
}
// 开始接单
export function relaxedOtherCheck(data) {
  return request({
    url: '/idp/relaxedOtherCheck',
    method: 'post',
    params: data
  })
}
// 停止接单
export function busyOtherCheck(data) {
  return request({
    url: '/idp/busyOtherCheck',
    method: 'post',
    params: data
  })
}

// 排序
export function sortImageDesignerList(data) {
  return request({
    url: '/idp/sortImageDesignerList',
    method: 'post',
    params: data
  })
}

// 获取当前分配方式
export function getDispatchWorkKind(data) {
  return request({
    url: '/idp/getDispatchWorkKind',
    method: 'post',
    params: data
  })
}

// 修改分配方式
export function configDispatchWorkKind(data) {
  return request({
    url: '/idp/configDispatchWorkKind',
    method: 'post',
    params: data
  })
}
// 校稿退回
export function proofBackOrder(data) {
  return request({
    url: '/idp/proofBackOrder',
    method: 'post',
    params: data
  })
}

//点击分配弹窗 获取token
export function imageDispatchFormToken(data) {
  return request({
    url: '/idp/imageDispatchFormToken',
    method: 'post',
    params: data
  })
}
